View Issue Details

IDProjectCategoryView StatusLast Update
0000556luatexluatex bugpublic2011-04-12 11:06
ReporterTacoAssigned ToTaco 
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.66.0 
Summary0000556: bad use of strcpy
DescriptionFrom peb:

In luatexdir/tex/texfileio.w:1220ff (executable_filep) you say:
        p = strrchr(base, '\\');
        if (p) {
            p++;
            strcpy(base, p);
        }
the strcpy(3) Linux manpage, however, specifies:
    The strings may not overlap, ...
whereas the strcpy(3p) Posix manpage says:
    If copying takes place between objects that overlap, the behavior is undefined.
TagsNo tags attached.

Activities

Taco

2011-04-11 10:31

administrator   ~0000778

this is a copied kpse function, waiting for a reply from PEB/Karl

Taco

2011-04-11 14:51

administrator   ~0000786

fixed by no longer locally defining a kpathsea function.

Taco

2011-04-12 11:06

administrator   ~0000808

all fixed in 0.66.0

Issue History

Date Modified Username Field Change
2011-01-10 14:57 Taco New Issue
2011-01-10 14:57 Taco Status new => assigned
2011-01-10 14:57 Taco Assigned To => Taco
2011-04-11 10:31 Taco Note Added: 0000778
2011-04-11 14:51 Taco Note Added: 0000786
2011-04-11 14:51 Taco Status assigned => resolved
2011-04-11 14:51 Taco Resolution open => fixed
2011-04-12 11:02 Taco Fixed in Version => 0.66.0
2011-04-12 11:06 Taco Note Added: 0000808
2011-04-12 11:06 Taco Status resolved => closed